//
//  TCGBSystemInfo.h
//  Gamebase
//
//  Created by NHN on 2016. 6. 30..
//  © NHN Corp. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface TCGBSystemInfo : NSObject

+ (nullable NSString *)zoneType
    NS_SWIFT_NAME(zoneType());

+ (NSString *)getUUID
    NS_SWIFT_NAME(getUUID());

+ (NSString *)UDID
    NS_SWIFT_NAME(UDID());

+ (NSString *)ADID
    NS_SWIFT_NAME(ADID());

+ (NSString *)carrierCode
    NS_SWIFT_NAME(carrierCode());

+ (NSString *)carrierName
    NS_SWIFT_NAME(carrierName());

+ (NSString *)countryCode
    NS_SWIFT_NAME(countryCode());

+ (NSString *)languageCode
    NS_SWIFT_NAME(languageCode());

@end

NS_ASSUME_NONNULL_END
